SUBDIRS = . tests

RBUIC=rbuic

.ui.rb:
	$(RBUIC) -tr ${UIC_TR} -kde $*.ui -o $@

exampleprefs_base.rb: $(srcdir)/example.kcfg rbtdeconfig_compiler $(srcdir)/exampleprefs_base.kcfgc
	./rbtdeconfig_compiler $(srcdir)/example.kcfg $(srcdir)/exampleprefs_base.kcfgc

AM_CPPFLAGS = -I$(top_srcdir)/tdecore -I$(top_srcdir) $(all_includes)

bin_PROGRAMS = rbtdeconfig_compiler

rbtdeconfig_compiler_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
rbtdeconfig_compiler_LDADD = $(LIB_TDECORE)
rbtdeconfig_compiler_SOURCES = rbtdeconfig_compiler.cpp

METASOURCES = AUTO

TESTFILES = test1.kcfg test2.kcfg test3.kcfg test4.kcfg test5.kcfg

check-local:
	for i in $(TESTFILES); \
	  do xmllint --noout --schema $(srcdir)/kcfg.xsd $(srcdir)/tests/$$i; \
	  perl $(top_srcdir)/korundum/rubylib/rbtdeconfig_compiler/checkkcfg.pl \
          $(top_srcdir)/korundum/rubylib/rbtdeconfig_compiler/tests/$$i; done
	  
